Bug 687 - sort with a key broken
sort with a key broken
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: textutils (Show other bugs)
5.2
All Linux
high Severity medium
: ---
: ---
Assigned To: David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-01-04 19:35 EST by H. Peter Anvin
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-01-05 15:59:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description H. Peter Anvin 1999-01-04 19:35:36 EST
"sort" returns the wrong answer when used with a key
specifier.  Since "sort" is used by many scripts, this could
have severe implications:

linux 28 % cat /tmp/test
Alpha Charlie
Bravo Delta
Alpha Foxtrot
Bravo Echo
linux 29 % sort +6 /tmp/test
Alpha Charlie
Alpha Foxtrot
Bravo Delta
Bravo Echo
linux 30 % which sort
/bin/sort
linux 31 % rpm -qf /bin/sort
textutils-1.22-7
Comment 1 Jeff Johnson 1999-01-05 15:59:59 EST
This is not a problem for a key specifier in range (i.e try "sort +1")

Note You need to log in before you can comment on or make changes to this bug.